<?php
class cIgv{
	function insertar($mes,$anio,$dat){
		$sql = "INSERT tb_igv (
			`tb_igv_mes` ,
			`tb_igv_anio`,
			`tb_igv_dat`			
			)
			VALUES (
			'$mes','$anio','$dat'
			);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function ultimoInsert(){
		$sql = "SELECT last_insert_id()"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function mostrarTodos(){
		$sql="SELECT * FROM tb_igv
			WHERE tb_igv_xac='1'
			ORDER BY tb_igv_dat";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrarUno($id){
		$sql="SELECT * 
			FROM tb_igv
			WHERE tb_igv_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function buscarIgv($mes,$anio){
		$sql="SELECT * FROM tb_igv WHERE tb_igv_mes ='$mes' and tb_igv_anio ='$anio' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function modificar($id,$mes,$anio,$dat){
		$sql = "UPDATE tb_igv SET  
			`tb_igv_mes` =  '$mes',
			`tb_igv_anio` =  '$anio',
			`tb_igv_dat` =  '$dat'
			WHERE  tb_igv_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_igv SET
			`tb_igv_$campo` =  '$valor' 
			WHERE tb_igv_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function eliminar($id){
		$sql="DELETE FROM tb_igv WHERE tb_igv_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>